### File

`packages/components/eui-user-profile/user-profile.component.ts`

### Description

Represents an extended user profile that includes impersonation capabilities and organizational information.

When using this interface with UserService, specify it as the generic type parameter: Example: private userService: UserService<UserProfile>

### Extends

`UserState`

### Index

###### Properties

- Optional function
- Optional impersonatingUser
- Optional organisation

### Properties

function
`function: `string``
Type : `string`
Optional
The user's function or role within the system

impersonatingUser
`impersonatingUser: `UserProfile``
Type : `UserProfile`
Optional
The profile of another user being impersonated, if applicable

organisation
`organisation: `literal type``
Type : `literal type`
Optional
The organization details associated with the user

# results matching ""

# No results matching ""